未能加载文件或程序集 Microsoft.Office.Interop.Excel, Version=14.0.0.0

“未能加载文件或程序集“Microsoft.Office.Interop.Excel, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c”或它的某一个依赖项。找到的程序集清单定义与程序集引用不匹配。 (异常来自 HRESULT:0x80131040) ”

在同一个相依组件的不同版本之间发现冲突。

比如说在我的程序A引用了类库B,而A中添加了Version=12.0.0.0的Microsoft.Office.Interop.Excel组件,B中添加有Version=14.0.0.0的Microsoft.Office.Interop.Excel组件,其结果就会报以上错误。

解决办法就是修改A中Microsoft.Office.Interop.Excel组件,将其修改为Version=14.0.0.0。

© 版权声明
THE END
喜欢就支持一下吧
点赞37 分享
评论 抢沙发
头像
欢迎您留下宝贵的见解!
提交
头像

昵称

取消
昵称表情代码图片